<body text="#000000" link="#0000ff" bgcolor="#ffffff"><center><table width="80%">
<tr><td><h1>openvasad</h1>
<h2>Administrator daemon of the Open Vulnerability Assessment System (OpenVAS)</h2>


  <h2>Synopsis</h2>
<b>
    openvasad OPTIONS<br>

  </b>


  <h2>Description</h2>

    <p>
      The core task of OpenVAS Scanner (openvassd(8)) within the Open
      Vulnerability Assessment System (OpenVAS) is the actual scan
      process.
    </p>

    <p>
      The OpenVAS Administrator is intended to simplify the
      configuration and administration of an OpenVAS Scanner both on a
      local installation as well as on a remote system by supplying
      functionality for user management and feed management. It can
      run as a daemon as well a standalone commandline interface.
    </p>

    <p>
      When run as a daemon, OpenVAS Administrator will serve clients
      using the OpenVAS Administrator Protocol (OAP).
    </p>
  


  <h2>Options</h2>

    
      <p><b>-a, --listen=<em>ADDRESS</em></b></p>
      <p>Listen on ADDRESS.</p>
    

    
      <p><b>-p, --port=<em>NUMBER</em></b></p>
      
        <p>Listen on port number NUMBER.</p>
      
    

    
      <p><b>-f, --foreground</b></p>
      <p>Run as daemon in the foreground.</p>
    

    
      <p><b>-c, --command=<em>COMMAND</em></b></p>
      
        <p>Execute OAP command COMMAND (e.g. add_user, remove_user, list_users).</p>
      
    

    
      <p><b>-u, --username=<em>NAME</em></b></p>
      
        <p>Username when creating, editing or removing a user.</p>
      
    

    
      <p><b>-w, --password=<em>PASSWORD</em></b></p>
      
        <p>
          Password for the new user when creating a new user. If the
          password is not supplied on the command line, it will be
          requested interactively.
        </p>
      
    

    
      <p><b>-t, --account=<em>NAME:PASSWORD</em></b></p>
      
        <p>Username and password for new user (overrides -n and -w).</p>
      
    

    
      <p><b>-r, --role=<em>ROLE</em></b></p>
      
        <p>
          Role when creating or modifying a user. Must be either User
          or Admin.
        </p>
      
    

    
      <p><b>--rules-file=<em>FILE</em></b></p>
      
        <p>File containing the rules for the user.</p>
      
    

    
      <p><b>--users-dir=<em>DIRECTORY</em></b></p>
      
        <p>Directory containing the OpenVAS user data.</p>
      
    

    
      <p><b>--scanner-config-file=<em>FILE</em></b></p>
      
        <p>File containing supplemental OpenVAS Scanner configuration.</p>
      
    

    
      <p><b>-s, --sync-script=<em>FILE</em></b></p>
      
        <p>Script to use for NVT feed synchronization.</p>
      
    

    
      <p><b>-F, --feed-version</b></p>
      
        <p>Print version of the installed NVT feed.</p>
      
    

    
      <p><b>-S, --sync-feed</b></p>
      
        <p>Synchronize the installed NVT feed.</p>
      
    

    
      <p><b>-T, --print-sync-status</b></p>
      
        <p>Print the synchronization status of the installed NVT feed.</p>
      
    

    
      <p><b>--enable-modify-settings</b></p>
      
        <p>Enable the OAP MODIFY_SETTINGS command.</p>
      
    

    
      <p><b>-v, --verbose</b></p>
      <p>Verbose messages.</p>
    

    
      <p><b>-V, --version</b></p>
      <p>Print version.</p>
    

    
      <p><b>-?, --help</b></p>
      <p>Show help.</p>
    
  

  <h2>EXAMPLES</h2>

    <p>openvasad --port 9393</p>
    <p>Serve OMP clients on port 9393.</p>
  


  <h2>SEE ALSO</h2>

    <p>
      <b>openvassd (8)</b>
      <b>openvasmd (8)</b>
      <b>gsad (8)</b>
      <b>omp (8)</b>
      <b>gsd (8)</b>
    </p>
  


  <h2>MORE INFORMATION ABOUT THE OpenVAS PROJECT</h2>

    <p>
      The canonical places where you will find more information
      about the OpenVAS project are:

      <a href = "http://www.openvas.org/">http://www.openvas.org/</a>
        (Official site)

      <a href = "http://wald.intevation.org/projects/openvas/">http://wald.intevation.org/projects/openvas/</a>
        (Development Platform)
    </p>
  


  <h2>COPYRIGHT</h2>

    <p>
      The OpenVAS Administrator is released under the GNU GPL, version
      2, or, at your option, any later version.
    </p>
  


</td></tr></table></center>
</body>
